[Unit]
Description=Mount <%= @name %>
After=weka-agent.service
Before=remote-fs.target umount.target
Requires=weka-agent.service
Wants=network-online.target
Before=remote-fs.target umount.target
Conflicts=umount.target

[Mount]
Where=<%= @name %>
What=<%= @mount_hosts.join(',') -%>/<%= @device %>
Type=wekafs
Options=<%= @options.flatten.join(',') %>
TimeoutUSec=1min 30s
RequiresMountsFor=<%= @name.split('/')[0...-1].join('/') %>

[Install]
WantedBy=multi-user.target
